Author Topic: error installing latest version 2.0.0 beta3  (Read 9927 times)

adw

  • Newbie
  • *
  • Posts: 2
    • View Profile
error installing latest version 2.0.0 beta3
« on: January 01, 2012, 10:40:32 pm »
I get the following error when installing the latest version of Feng Office on my web server.

Step 4: Finish
Installation process:

  Database connection has been established successfully
  InnoDB storage engine is supported
  Failed to import database construction. MySQL said: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'USING BTREE,
  KEY `by_name` (`name`),
  KEY `defines_perm`(`defines_permissions' at line 14

I'm using PHP Version 5.3.2-1 and MySQL 5.0.51a

Any help greatly appreciated.

Thanks,
ADW

adw

  • Newbie
  • *
  • Posts: 2
    • View Profile
Re: error installing latest version 2.0.0 beta3
« Reply #1 on: January 02, 2012, 11:57:58 am »
As an update to this, I downloaded version 1.7.5 & the installation ran correctly & FO is running ok on my web server.  Therefore, I guess there must be a problem with the installation routine itself.

ADW

insanadair

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: error installing latest version 2.0.0 beta3
« Reply #2 on: January 03, 2012, 11:58:42 am »
Version :Feng Office 2.0-beta3
Problem : MySQL server version for the right syntax to use near 'USING BTREE,

How to fix this problem

1. File : \public\install\installation\templates\sql\mysql_initial_data.php

LINE 33

a.Find this : UNIQUE KEY `code` (`code`) USING BTREE,

a.Change : UNIQUE KEY `code` USING BTREE (`code`),

LINE 686

b..Find this : KEY `rel_obj_id` (`rel_object_id`) USING BTREE,

b.Change : KEY `rel_obj_id` USING BTREE  (`rel_object_id`),




« Last Edit: January 03, 2012, 12:00:35 pm by insanadair »

kinayder

  • Newbie
  • *
  • Posts: 1
    • View Profile
Re: error installing latest version 2.0.0 beta3
« Reply #3 on: January 03, 2012, 12:15:43 pm »
Hi,

I try install beta3 version but i cant login after install, give me wrong password msg, and is right. I try beta1 and beta2 too, same problem, i cant login. Im using debian 6 , php5 and mysql 5.1.. anyone can help me?

anglerdk

  • Newbie
  • *
  • Posts: 2
    • View Profile
Re: error installing latest version 2.0.0 beta3
« Reply #4 on: March 21, 2012, 04:13:55 am »
In 2.0RC I also found this also beside the kinayder fix - (beside that the php file changed doesnt have the same name though)

public/install/installation/templates/sql/mysql_schema.php

line 980

CREATE TABLE `<?php echo $table_prefix ?>contact_widgets` (
....
  PRIMARY KEY (`widget_name`,`contact_id`) USING BTREE


Change to

PRIMARY KEY USING BTREE (`widget_name`,`contact_id`)

This worked for me

 ;D

franponce87

  • Administrator
  • Hero Member
  • *****
  • Posts: 1819
    • View Profile
    • Email
Re: error installing latest version 2.0.0 beta3
« Reply #5 on: March 22, 2012, 12:38:20 pm »
Have you tried installing the Final version yet? Many issues with the installation have been solved there.

Best regards,
Francisco
Would you like to install Feng Office Professional or Enterprise Edition in your servers? No problem! Read this article!

Mist. GraphX

  • Freshman
  • *
  • Posts: 19
    • View Profile
Re: error installing latest version 2.0.0 beta3
« Reply #6 on: April 03, 2012, 04:22:55 am »
Hi,

 i've just try the latest release of Fo 2.0.0 and i've the same sql error message.

with the modifications mentionned above the problem is solved.

thx